DuoUniversal 1.2.1

There is a newer version of this package available.
See the version list below for details.
dotnet add package DuoUniversal --version 1.2.1
NuGet\Install-Package DuoUniversal -Version 1.2.1
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="DuoUniversal" Version="1.2.1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add DuoUniversal --version 1.2.1
#r "nuget: DuoUniversal, 1.2.1"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install DuoUniversal as a Cake Addin
#addin nuget:?package=DuoUniversal&version=1.2.1

// Install DuoUniversal as a Cake Tool
#tool nuget:?package=DuoUniversal&version=1.2.1

Duo Universal Prompt C# Client

Build Status Issues Forks Stars License

This library allows a web developer to quickly add Duo's interactive, self-service, two-factor authentication to any .NET web login form.

See our developer documentation at https://www.duosecurity.com/docs/duoweb for guidance on integrating Duo 2FA into your web application.

What's here:

  • DuoUniversal - The Duo SDK for interacting with the Duo Universal Prompt
  • DuoUniversal.Example - An example web application with Duo integrated

The example application has a dedicated README with further instructions on how to build and run it.

Usage

This library requires .NET Core 3.1 or higher, or .NET Framework 4.7.1 or higher

The library is available on NuGet at https://www.nuget.org/packages/DuoUniversal/1.2.0

Include it in your .NET project with:

dotnet add package DuoUniversal --version 1.2.0

TLS 1.2 and 1.3 Support

Duo_universal_csharp uses the .NET libraries for TLS operations. .NET 4.7 or later is required for TLS 1.2; .NET 4.8 or later is required for TLS 1.3.

Building with the .NET CLI

Run dotnet build to generate the assemblies.

Testing

The tests require .NET Core 6.0.

With the .NET CLI

From the root directory run:

dotnet test

Linting

With the .NET CLI

Check the code format with:

dotnet format --verify-no-changes

Support

Please report any bugs, feature requests, or issues to us directly at support@duosecurity.com.

Thank you for using Duo!

https://duo.com/

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp2.0 was computed.  netcoreapp2.1 was computed.  netcoreapp2.2 was computed.  netcoreapp3.0 was computed.  netcoreapp3.1 was computed. 
.NET Standard netstandard2.0 is compatible.  netstandard2.1 was computed. 
.NET Framework net461 was computed.  net462 was computed.  net463 was computed.  net47 was computed.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen40 was computed.  tizen60 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.2.4 651 5/1/2024
1.2.3 9,614 4/15/2024
1.2.2 6,676 1/31/2024
1.2.1 52,717 7/28/2023
1.2.0 30,704 8/26/2022
1.1.3 7,773 4/27/2022
1.1.2 2,232 4/25/2022
1.1.1 866 4/19/2022
1.1.0 459 4/14/2022
1.0.0 1,847 1/25/2022